Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.ClientConnection2ResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnection2Response`, `ClientWireProtocol.ClientConnection2Response.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnection2ResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCmdcomps​(int index)` If redirect = false, this is a list of all cmdcomps
`com.google.protobuf.ByteString` `getCmdcompsBytes​(int index)` If redirect = false, this is a list of all cmdcomps
`int` `getCmdcompsCount()` If redirect = false, this is a list of all cmdcomps
`List<String>` `getCmdcompsList()` If redirect = false, this is a list of all cmdcomps
`boolean` `getRedirect()` Redirect = true, means we are telling client to connect elsewhere
`String` `getRedirectHost()` `string redirectHost = 3;`
`com.google.protobuf.ByteString` `getRedirectHostBytes()` `string redirectHost = 3;`
`int` `getRedirectPort()` `fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse` `getResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` `getResponseOrBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` `hasResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasResponse

    boolean hasResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

#### getResponse

    ClientWireProtocol.ConfirmationResponse getResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

#### getResponseOrBuilder

    ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getRedirect

    boolean getRedirect()

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Returns:
  The redirect.

#### getRedirectHost

    String getRedirectHost()

`string redirectHost = 3;`

Returns:
  The redirectHost.

#### getRedirectHostBytes

    com.google.protobuf.ByteString getRedirectHostBytes()

`string redirectHost = 3;`

Returns:
  The bytes for redirectHost.

#### getRedirectPort

    int getRedirectPort()

`fixed32 redirectPort = 4;`

Returns:
  The redirectPort.

#### getCmdcompsList

    List<String> getCmdcompsList()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Returns:
  A list containing the cmdcomps.

#### getCmdcompsCount

    int getCmdcompsCount()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Returns:
  The count of cmdcomps.

#### getCmdcomps

    String getCmdcomps​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The cmdcomps at the given index.

#### getCmdcompsBytes

    com.google.protobuf.ByteString getCmdcompsBytes​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the cmdcomps at the given index.